Debian Bug report logs - #383212
ntp: relationships with -server, -simple, and -refclock needlessly strict, and block other packages from upgrading

version graph

Package: ntp; Maintainer for ntp is Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>; Source for ntp is src:ntp.

Reported by: Branden Robinson <branden@progeny.com>

Date: Tue, 15 Aug 2006 17:33:06 UTC

Severity: normal

Tags: patch

Found in version ntp/1:4.2.0a+stable-2sarge1

Fixed in version ntp/1:4.2.2+dfsg.2-2

Done: Peter Eisentraut <petere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, radioclk@packages.debian.org, hoeferbe@progeny.com, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#383212; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@progeny.com>:
New Bug report received and forwarded. Copy sent to radioclk@packages.debian.org, hoeferbe@progeny.com, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@progeny.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ntp: relationships with -server, -simple, and -refclock needlessly strict, and block other packages from upgrading
Date: Tue, 15 Aug 2006 13:24:32 -0400
Package: ntp
Version: 1:4.2.0a+stable-2sarge1
Severity: normal
Tags: patch

As far as I can tell, ntp introduced versioned Replaces and
Conflicts on the packages now merged into it, when there was no
reason to do so.

Because versioned Provides are not supported, this causes bugs
like #380372 -- needlessly so, in my opinion.

There doesn't appear to be any reason to have these
relationships be versioned, as the packages no longer exist.
If they did, #380372 wouldn't have happened, and there would be
an ntp package in testing for amd64 today.

Please find a patch attached.  If I have misunderstood the
problem, or there is a subtlety lurking here demanding that the
relationships be versioned, please enlighten me.  I'm just
reasoning from experience with more package merges and splits
than I care to recall with X... :)

Another fix would just be to add unversioned Provides: on the
three packages, but the versioned Replaces and Conflicts beg
for explanation, in my opinion.  dpkg now supports # comments
on lines by themselves in control files, and that would be a
good place to document such facts.

Let me know if there is anything else I can do to help.

-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.6.8-3-686
Locale: LANG=C, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages ntp depends on:
ii  libc6                 2.3.2.ds1-22sarge3 GNU C Library: Shared libraries an
ii  libreadline4          4.3-11             GNU readline and history libraries
ii  libssl0.9.7           0.9.7e-3sarge1     SSL shared libraries
ii  perl-modules          5.8.4-8sarge4      Core Perl modules
ii  psmisc                21.5-1             Utilities that use the proc filesy

-- no debconf information

-- 
Branden Robinson          | GPG signed/encrypted mail welcome
branden@progeny.com       | 1024D/9C0BCBFB
Progeny Linux Systems     | D5F6 D4C9 E25B 3D37 068C
                          | 72E8 0F42 191A 9C0B CBFB



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#383212; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 383212@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Branden Robinson <branden@progeny.com>, 383212@bugs.debian.org
Subject: Re: [pkg-ntp-maintainers] Bug#383212: ntp: relationships with -server, -simple, and -refclock needlessly strict, and block other packages from upgrading
Date: Tue, 15 Aug 2006 19:54:03 +0200
On Tue, Aug 15, 2006 at 01:24:32PM -0400, Branden Robinson wrote:
> Package: ntp
> Version: 1:4.2.0a+stable-2sarge1
> Severity: normal
> Tags: patch

I don't see a patch, which might try explain the rest of your mail.


Kurt




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#383212; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Peter Eisentraut <peter_e@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 383212@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <peter_e@gmx.net>
To: Branden Robinson <branden@progeny.com>, 383212@bugs.debian.org
Subject: Re: [pkg-ntp-maintainers] Bug#383212: ntp: relationships with -server, -simple, and -refclock needlessly strict, and block other packages from upgrading
Date: Tue, 15 Aug 2006 20:06:47 +0200
Branden Robinson wrote:
> As far as I can tell, ntp introduced versioned Replaces and
> Conflicts on the packages now merged into it, when there was no
> reason to do so.

The reason was pretty much to get rid of the old packages while the new 
one is installed.  The control file for the ntp package is full of such 
conflict declarations with older package versions.  Are you saying that 
we shouldn't set a Conflicts against the old version, or should be drop 
both Replaces and Conflicts?  Unfortunately, I can't seem to find your 
patch.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#383212; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@progeny.com>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 383212@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@progeny.com>
To: Kurt Roeckx <kurt@roeckx.be>
Cc: 383212@bugs.debian.org
Subject: Re: [pkg-ntp-maintainers] Bug#383212: ntp: relationships with -server, -simple, and -refclock needlessly strict, and block other packages from upgrading
Date: Tue, 15 Aug 2006 14:13:32 -0400
[Message part 1 (text/plain, inline)]
On Tue, Aug 15, 2006 at 07:54:03PM +0200, Kurt Roeckx wrote:
> On Tue, Aug 15, 2006 at 01:24:32PM -0400, Branden Robinson wrote:
> > Package: ntp
> > Version: 1:4.2.0a+stable-2sarge1
> > Severity: normal
> > Tags: patch
> 
> I don't see a patch, which might try explain the rest of your mail.

Bahhh.  Sorry about that.  That means I just found two bugs in
reportbug:

1) If you do an attachment, then later use the "m" option to
edit the report with a mailer, the attachment gets dropped.
(At least if you choose mutt, as I did).

2) The reason I had to edit the report was to update the
X-Debbugs-CC line.  If reportbug would have let me do that from
its submission menu, I wouldn't have had to do 1).

Sorry again for the confusion.  Lemme try that patch again.

-- 
Branden Robinson          | GPG signed/encrypted mail welcome
branden@progeny.com       | 1024D/9C0BCBFB
Progeny Linux Systems     | D5F6 D4C9 E25B 3D37 068C
                          | 72E8 0F42 191A 9C0B CBFB
[ntp_soften_relationships.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#383212; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@progeny.com>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 383212@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@progeny.com>
To: Peter Eisentraut <peter_e@gmx.net>
Cc: 383212@bugs.debian.org
Subject: Re: [pkg-ntp-maintainers] Bug#383212: ntp: relationships with -server, -simple, and -refclock needlessly strict, and block other packages from upgrading
Date: Tue, 15 Aug 2006 14:21:02 -0400
On Tue, Aug 15, 2006 at 08:06:47PM +0200, Peter Eisentraut wrote:
> Branden Robinson wrote:
> > As far as I can tell, ntp introduced versioned Replaces and
> > Conflicts on the packages now merged into it, when there was no
> > reason to do so.
> 
> The reason was pretty much to get rid of the old packages while the new 
> one is installed.

An unversioned conflict/replaces will do that just as well,
since the packages no longer exist.

> The control file for the ntp package is full of such conflict
> declarations with older package versions.  Are you saying
> that we shouldn't set a Conflicts against the old version, or
> should be drop both Replaces and Conflicts?  Unfortunately, I
> can't seem to find your patch.

I'm saying that I believe the *versioning* of those
relationships to be unnecessary.  I'm sorry about dropping the
patch; I got bitten by #211808.

I responded to Kurt with the patch attached for real this time,
and it should be showing up in the BTS shortly.

-- 
Branden Robinson          | GPG signed/encrypted mail welcome
branden@progeny.com       | 1024D/9C0BCBFB
Progeny Linux Systems     | D5F6 D4C9 E25B 3D37 068C
                          | 72E8 0F42 191A 9C0B CBFB



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#383212; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Peter Eisentraut <peter_e@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 383212@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <peter_e@gmx.net>
To: Branden Robinson <branden@progeny.com>, 383212@bugs.debian.org
Subject: Re: [pkg-ntp-maintainers] Bug#383212: ntp: relationships with -server, -simple, and -refclock needlessly strict, and block other packages from upgrading
Date: Wed, 16 Aug 2006 19:13:31 +0200
Branden Robinson wrote:
> Please find a patch attached.  If I have misunderstood the
> problem, or there is a subtlety lurking here demanding that the
> relationships be versioned, please enlighten me.  I'm just
> reasoning from experience with more package merges and splits
> than I care to recall with X... :)

I'll happily defer to that experience, so I've committed your patch.  
Thanks.



Tags added: pending Request was from Peter Eisentraut <petere@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Peter Eisentraut <petere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Branden Robinson <branden@progeny.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 383212-close@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <petere@debian.org>
To: 383212-close@bugs.debian.org
Subject: Bug#383212: fixed in ntp 1:4.2.2+dfsg.2-2
Date: Sat, 16 Sep 2006 09:23:37 -0700
Source: ntp
Source-Version: 1:4.2.2+dfsg.2-2

We believe that the bug you reported is fixed in the latest version of
ntp, which is due to be installed in the Debian FTP archive:

ntp-doc_4.2.2+dfsg.2-2_all.deb
  to pool/main/n/ntp/ntp-doc_4.2.2+dfsg.2-2_all.deb
ntp-refclock_4.2.2+dfsg.2-2_all.deb
  to pool/main/n/ntp/ntp-refclock_4.2.2+dfsg.2-2_all.deb
ntp-simple_4.2.2+dfsg.2-2_all.deb
  to pool/main/n/ntp/ntp-simple_4.2.2+dfsg.2-2_all.deb
ntp_4.2.2+dfsg.2-2.diff.gz
  to pool/main/n/ntp/ntp_4.2.2+dfsg.2-2.diff.gz
ntp_4.2.2+dfsg.2-2.dsc
  to pool/main/n/ntp/ntp_4.2.2+dfsg.2-2.dsc
ntp_4.2.2+dfsg.2-2_i386.deb
  to pool/main/n/ntp/ntp_4.2.2+dfsg.2-2_i386.deb
ntpdate_4.2.2+dfsg.2-2_i386.deb
  to pool/main/n/ntp/ntpdate_4.2.2+dfsg.2-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 383212@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Eisentraut <petere@debian.org> (supplier of updated ntp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 15 Sep 2006 11:24:09 +0200
Source: ntp
Binary: ntp-simple ntp-refclock ntp-doc ntpdate ntp
Architecture: source all i386
Version: 1:4.2.2+dfsg.2-2
Distribution: unstable
Urgency: medium
Maintainer: Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>
Changed-By: Peter Eisentraut <petere@debian.org>
Description: 
 ntp        - Network Time Protocol daemon and utility programs
 ntp-doc    - Network Time Protocol documentation
 ntp-refclock - transition package
 ntp-simple - transition package
 ntpdate    - client for setting system time from NTP servers
Closes: 56499 245338 305864 312576 321759 375280 382311 382543 383212 383666 384857 386323 387002
Changes: 
 ntp (1:4.2.2+dfsg.2-2) unstable; urgency=medium
 .
   [ Branden Robinson ]
   * Soften ntp binary package's Conflicts and Replaces relationships with
     ntp-{refclock,server,simple} so that they are unversioned; a versioning
     expression is unnecessary as none of these exist now as dummy packages
     (and do not need to, as all depended directly or transitively on ntp
     itself).  State that ntp Provides the three merged packages, so that
     packages depending on them are not spuriously blocked from upgrading
     before their dependencies are manually changed. (closes: #383212)
 .
   [ Peter Eisentraut ]
   * Updated README.Debian's and package descriptions, reflecting that
     ntpdate is no longer necessary when ntp is installed
   * npdate is no longer started from an init script but instead by ifup
     (closes: #56499, #245338, #312576)
   * Run ntpdate from ifup in the background (closes: #321759, #375280,
     #382543)
   * Cleaned out package relationships with long-obsolete packages
   * Updated standards version
   * Also parse peer lines in ntp.conf from ntpdate.default (closes: #382311)
   * Added pointer in ntpdate.default where to find ntp.conf (closes: #386323)
   * Updated logcheck rules (closes: #305864)
 .
   [ Julien BLACHE ]
   * debian/control:
     + Add ntp-refclock and ntp-simple transition packages (closes: #384857).
   * debian/ntp.init:
     + Remove adduser call from initscript (closes: #383666).
 .
   [ Petter Reinholdtsen ]
   * Fixed init script LSB header dependency information (closes: #387002)
Files: 
 9553a9b41ba5f5c3ba174ac5592efc1b 841 net optional ntp_4.2.2+dfsg.2-2.dsc
 6b9241afc047363e3bcf11b25af4e561 173994 net optional ntp_4.2.2+dfsg.2-2.diff.gz
 f986aa4ae857f41a6bce469feed07815 891756 doc optional ntp-doc_4.2.2+dfsg.2-2_all.deb
 c44b4f1dadf7ed82bc43ffdc34068c83 27128 net optional ntp-simple_4.2.2+dfsg.2-2_all.deb
 1fefd26e9fc228e9e6d6c6e39f64c4ee 27130 net optional ntp-refclock_4.2.2+dfsg.2-2_all.deb
 f2fc5f5531c9c76187510f94de6d0b11 321010 net optional ntp_4.2.2+dfsg.2-2_i386.deb
 0ff308d22b0dda454023610ce77e7520 55902 net optional ntpdate_4.2.2+dfsg.2-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFCnPCTTx8oVVPtMYRAoMkAJ9matJyyhGLgERFVxqvfmSka+TWLQCdE0fX
o7h51A6c/UagHkuditkDyEM=
=uO5N
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 15:17:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:34:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.